// simple regularly-meshed square

lc = 2;

Lx = 10;
Ly = 10;

Nx=3;
Ny=3;

Point(1) = { 0,   0, 0, lc};
Point(2) = { Lx,  0, 0, lc};
Point(3) = { Lx, Ly, 0, lc};
Point(4) = { 0,  Ly, 0, lc};


Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};

Line Loop(1) = {1, 2, 3, 4};

Plane Surface(1) = {1};

/*
// regular mesh
Transfinite Line {1, 3} = Nx Using Progression 1;
Transfinite Line {4, 2} = Ny Using Progression 1;
Transfinite Surface {1};
*/


//Recombine Surface {1}; // for quads


Physical Point("P1") = {1};
Physical Point("P2") = {2};
Physical Point("P3") = {3};
Physical Point("P4") = {4};


Physical Line("Bottom") = {1};
Physical Line("Right") = {2};
Physical Line("Top") = {3};
Physical Line("Left") = {4};

Physical Surface("S1") = {1};

Mesh.Algorithm = 5; // gmsh 4.5 change the default algo from Delaunay(5) to FrontalDelaunay (6). Force Delaunay for non regression tests