#!/bin/bash
# SLURM script for WAVES ctest  
#SBATCH --job-name=waves
#SBATCH --mail-user=boman
#SBATCH --mail-type=ALL
# Ressources needed...
#SBATCH --partition=defq
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=12
#SBATCH --time=0-1:00:00
#SBATCH --mem=10000
. /home/boman/.bash_profile fabulous
cd build
pwd
echo "running ctest..."
srun ctest -j 12  
