// SWIG input file of the 'tlnos' module

%feature("autodoc","1");

%module(docstring=
"'tlnosw' module: tests of Trilinos library
(c) ULg - A&M",
directors="1",
threads="1"
) tlnosw
%{

#include <string>
#include <sstream>
#include <typeinfo>
#include "tlnos.h"

#include "wExample1.h"
#include "wExample2.h"
//#include "wExample3.h"
#include "wExample4.h"
#include "wExample5.h"
#include "wExample6.h"
//#include "wExample7.h"
#include "wExample8.h"
#include "wExample9.h"
#include "wExample10.h"

#include "fwkw.h"
#include "tboxw.h"

%}

%include "fwkw.swg"

// ----------- MODULES UTILISES ------------
%import "fwkw.i"
%import "tboxw.i"

// ----------- TLNOS CLASSES ----------------
%include "tlnos.h"


%include "wExample1.h"
%include "wExample2.h"
//%include "wExample3.h"
%include "wExample4.h"
%include "wExample5.h"
%include "wExample6.h"
//%include "wExample7.h"
%include "wExample8.h"
%include "wExample9.h"
%include "wExample10.h"
