#!/bin/bash
# Submission script for NIC4 
#SBATCH --job-name=helloworld
#SBATCH --time=00:00:10 # hh:mm:ss
#
#SBATCH --ntasks=2 
#SBATCH --mem-per-cpu=200 # megabytes 
#SBATCH --partition=defq 
#
#SBATCH --mail-user=rboman
#SBATCH --mail-type=ALL
#
#SBATCH --comment=math0471 

. ~/.bash_profile master2

module list
mpirun python-mpi helloworld.py 
